%global debug_package %{nil}
%define _build_id_links none

Summary:        Install kmod/akmod drivers
Name:           driver-manager
Version:        2.0.0
Release:        2%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz
Source1:        com.inferit.driver-manager.desktop
# Try to fix center position
Source2:        %{name}-auto
# Fix releasever detection
Patch0:         0001-Make-new-repofiles-versionable.patch

Requires:       bash

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  gtk4-devel
BuildRequires:  json-glib-devel

%description
Program for managing third-party drivers for some devices

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

rm -rf %{buildroot}/usr/lib
mv %{buildroot}/usr/lib64 %{buildroot}/usr/lib
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/com.inferit.driver-manager.desktop
install -m755 %{SOURCE2} %{buildroot}%{_bindir}
cp -a %{buildroot}%{_datadir}/applications/com.inferit.driver-manager.desktop %{buildroot}%{_sysconfdir}/xdg/autostart
sed -i 's@Exec=driver-manager@Exec=/usr/bin/driver-manager-auto@'  %{buildroot}%{_sysconfdir}/xdg/autostart/com.inferit.driver-manager.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.inferit.driver-manager.desktop

%files -f %{name}.lang
%doc README.md
%license COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/*.desktop
%{_usr}/lib/%{name}
%{_bindir}/driver-manager*
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/com.inferit.driver-manager.desktop
%{_datadir}/metainfo/com.inferit.driver-manager.metainfo.xml
%{_datadir}/glib-2.0/schemas/com.inferit.driver-manager.gschema.xml

%changelog
* Tue Feb 04 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 2.0.0-2
- Fix center window position during autostart
- Fix distribution version detection

* Sun Feb 02 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 2.0.0-1
- Rebuilt for MSVSphere 10

* Fri Aug  2 2024 Dmitry Samoylik <Dmitriy.Samoylik@softline.com> - 1.0-1
- Initial build
